# set this to 1 if you want to build semistatic rpm
%define        semistatic      0
%{?_with_semistatic: %{expand: %%global semistatic 1}}

%if %{semistatic}
  %define 	name	poedit-semistatic
%else
  %define	name	poedit
%endif
%define		version 1.2.2
%define 	release 2mdk
%define		summary	Gettext translation file editor in wxGTK interface

Summary:	%summary
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Editors
URL:		http://poedit.sourceforge.net
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
# (Abel) 1.2.2-2mdk Try to detect libdb-4.1 before libdb
Patch0:		%{name}-1.2.2-db-detection.patch.bz2
# (Abel) 1.2.2-2mdk Fix argument for db4.1 open()
Patch1:		%{name}-1.2.2-db41.patch.bz2

Requires:	gettext
BuildRequires:	wxGTK-devel >= 2.4.0-2mdk
BuildRequires:	db4-devel
BuildRequires:	zip
# (Abel) 1.2.2-2mdk for detection of GNOME only, not very useful
BuildRequires:	gnome-libs-devel

%if %{semistatic}
Provides:	poedit
%endif


%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

Build Options:
--with semistatic    Link statically with wxGTK and libdb

%prep
%setup -q -n poedit-%{version}
%patch0 -p1 -b .db-order
%patch1 -p1 -b .db41

# needed by patch 0
aclocal-1.4 -I .
WANT_AUTOCONF_2_1=1 autoconf
automake-1.4 --foreign

%build
export KDEDIR=%{_prefix}

%if %{semistatic}
%configure --enable-semistatic
%else
%configure
%endif

%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std GNOME_DATA_DIR=%{buildroot}%{_datadir} \
		 KDE_DATA_DIR=%{buildroot}%{_datadir}

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
	command="%_bindir/%{name}" \
	needs="X11" \
	section="Applications/Editors" \
	icon="%{name}.png" \
	mimetypes="application/x-po;application/x-gettext" \
	title="Poedit" \
	longtitle="%summary"
EOF

# icons
#__install -D -m 644 %{name}48.png %{buildroot}/%{_liconsdir}/%{name}.png
#__install -D -m 644 %{name}32.png %{buildroot}/%{_iconsdir}/%{name}.png
#__install -D -m 644 %{name}16.png %{buildroot}/%{_miconsdir}/%{name}.png
# delete xpm icon
rm -f %{buildroot}/%_iconsdir/%{name}.xpm

# (Abel) 1.2.2-2mdk Fix(?) sweden po file path
mv %{buildroot}%{_datadir}/locale/sv{_SE,}

%find_lang %{name}
%if %{semistatic}
%find_lang %{name}-wxstd
cat poedit-wxstd.lang >>poedit.lang
%endif

%post
%update_menus

%postun
%clean_menus

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}


%files -f poedit.lang
%defattr(-,root,root)
%doc NEWS LICENSE README AUTHORS

%dir %{_datadir}/poedit
%{_datadir}/poedit/resources.zip
%{_datadir}/poedit/help.zip
%{_datadir}/poedit/help-gettext.zip
%lang(hr) %{_datadir}/poedit/help-hr.zip
%{_bindir}/poedit
%{_mandir}/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/applnk/Development/*
%{_datadir}/gnome/apps/Development/*
%{_datadir}/mime-info/poedit.*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Sep 12 2003 Abel Cheung <deaddog@deaddog.org> 1.2.2-2mdk
- Rebuild with db 4.1
- Patch0: Fix DB detection order, prefer libdb-*.* to libdb
- Patch1: Fix argument of open() in db4.1, which is different from 4.0
- No need to bundle icon, already upstream

* Fri May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.2-1mdk
- new version
- removed patch, merged with upstream

* Thu Feb 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-2mdk
- add patch to faster working with too biiig msg strings (espec. DrakX.po),
  thanks for patch to Vaclav Slavik

* Wed Feb 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.1-1mdk
- new version of poedit
	- added more translations:
		* Georgian (Aiet Kolkhi)
		* Romanian (Ovidiu Constantin)
		* Catalan (Pau Bosch i Crespo) 
	- reworked Traditional Chinese translation (Myths)
	- fixed bug when empty error text was shown if msgfmt reported error
	- moved "Shaded translations list" from preferences into the View menu

* Thu Feb 13 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- rebuild with wxGTK2.4

* Thu Feb 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 1.2.0-1mdk
- initial Mandrake import, based on spec file from Vaclav Slavik
- more macroszification, misc changes and clean up
- create poedit-icons source with all needed resolutions, xpm -> png
- make rpmlint happy
